Subject: Re: bug#62732: 29.0.60; uniquify-trailing-separator-p affects any buffer whose name matches a dir in CWD

From: Stefan Monnier <[email-masked]>
Date: Mon, 10 Jul 2023 22:55:23 -0400

>> No, `create-file-buffer` used to throw away the trailing slash, rather
>> than make use of this information.

[ And instead uniquify had to try and recover that information by checking
  the file-system.  ]

>> Not sure why Dired bothered to remove the tailing slash when calling
>> it, maybe because a long time ago `create-file-buffer` had a bug if
>> the name had a trailing slash.
> So why the need for the change in dired.el?

Because we do want Dired to tell `create-file-buffer` that this is
a directory and it should thus obey `uniquify-trailing-separator-p`.

Otherwise `uniquify-trailing-separator-p` would end up never used (since
Dired is AFAIK the only package that creates "directory file buffers").

        Stefan